Bug 1572289 - Allocation Policy in host form is not reflected when creating a host from a RHEV template template
Summary: Allocation Policy in host form is not reflected when creating a host from a R...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.2.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: 1541321 1459226
TreeView+ depends on / blocked
 
Reported: 2018-04-26 15:59 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:16 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1399102
Environment:
Last Closed: 2018-10-16 19:08:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 10273 0 None None None 2018-04-26 15:59:56 UTC

Comment 4 Lukáš Hellebrandt 2018-09-21 14:58:57 UTC
Ori, were you able to reproduce this? I've hit the same issue as you in your comment from 20170503T15:43:45 . The template always has Thin Provisioning, even if the VM it was created from was Preallocated. I am using RHEV 3.6. That means I am not even able to do the given scenario in RHEV itself, let alone through Satellite.

Comment 5 Ivan Necas 2018-09-25 10:51:43 UTC
I've updated the subject, as it better describes the reproducing steps, as well as the redmine issue it's connected to. Another reason is we don't have a compute resource available where we could successfully set the allocation policy of the disk in template to "Preallocated". It's always thin in setups available to us (perhaps related to https://access.redhat.com/solutions/3369061)

However, as the step 4. in the reproducer describes, it's still expected to check the 'preallocated' policy when creating the host, so it should not matter what type of the allocation policy the template actually has, in connection to this BZ or the cases attached to it.

Comment 7 Lukáš Hellebrandt 2018-09-25 14:32:24 UTC
Verified with Sat 6.4 snap 22.

Used RHEV 4 because I wasn't able to use RHEV 3.6 due to different bug and RHEV 3 ELS ends in 5 days.

This BZ has been changed to only require allocation policy to propagate from Satellite to RHEV.

1) Have a RHEV, add it as a CR to Sat
2) Have a VM in RHEV, add it as Image to Sat
3) Host -> Create
4) OS -> Image Based, select the image
5) VM -> check Preallocated
6) Fill the rest, submit
7) Check in RHEV that the newly created VM has preallocated disk

Comment 8 Lukáš Hellebrandt 2018-09-25 14:59:22 UTC
In the end and after some workarounds, I was also able to verify this on RHEV 3.6.

Comment 9 Bryan Kearney 2018-10-16 19:08:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.